import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageDetail } from './card-model-util';
import { CardTypeName } from './types';

const getAwardCardModel = (data: any) => ({
    title: data?.awardCardTitle || '',
    awardName: data?.awardName || '',
    mediaOutlet: data?.mediaOutlet || '',
    backgroundImageDetail: getBackgroundImageDetail(data),
    className: data?.className || ''
});

export const getAwardCardData = compose(getAwardCardModel, pathOr({}, [CardTypeName.AwardCard]));
