
import { NsHero } from 'common/hero';
import { BodyBlockMap, dataParser } from '../BlocksMap';

describe('Block Parser', () => {
    it('1. should render Hero Component', () => {
        const body = BodyBlockMap['ns_hero_component'];
        expect(body.component).toBe(NsHero);
        expect(JSON.stringify(body.dataParser)).toEqual(JSON.stringify(dataParser));
    });
    it('2. data parser should return what is passed', () => {
        const result = dataParser({ d: 3 });
        expect(result).toStrictEqual({ d: 3 });
    });
});
