import getConfig from 'next/config';

const { publicRuntimeConfig } = getConfig();

export const ContentStackEnv = process?.env?.PRODUCT_API_URL ? process?.env : publicRuntimeConfig;

const { PRODUCT_API_URL } = ContentStackEnv;

export const ProductAPI = {
    URL: PRODUCT_API_URL
};

export const ScreenSize = [320, 480, 768, 1024, 1440, 1536, 1980, 2230];