import { AllColorKeyType } from '@nuskin/foundation-theme';

import { LiveTags } from '../../types';
import { CtaLinkItemProps } from '../../cta';

export interface ShowcaseBlockProps {
    showcase: any[];
}

export type CsImageAlignment = 'left' | 'right';

export interface ShowcaseProps {
    preHeader?: string;
    preHeaderBackgroundColor: boolean;
    header?: string;
    description?: string;
    fontColor?: boolean;
    backgroundColor: AllColorKeyType;
    image: string;
    alignment: CsImageAlignment;
    accentImage: string;
    callToAction?: CtaLinkItemProps;
    dataTestId?: string;
    liveTags?: LiveTags<ShowcaseProps>;
}
